// Info / System
"Unlock" = "Unlock";
"System" = "System";
"Serial" = "Serial Generator";
"Model" = "Model";
"Peripherals" = "Peripherals";
"Name" = "Назва";
"Value" = "Значення";
"System Info" = "System Info";
"Host" = "Host";
"OS" = "OS";
"Kernel" = "Kernel";
"RAM" = "RAM";
"Model Identifier" = "Model Identifier";
"CPU" = "CPU";
"Intel Generation" = "Intel Generation";
"Platform ID" = "Platform ID";
"Board ID" = "Board ID";
"Serial Number" = "Serial Number";
"Hardware UUID" = "Hardware UUID";
"System ID" = "System ID";
"ROM" = "ROM";
"Board Serial Number" = "Board Serial Number";
"VDA Decoder" = "VDA Decoder";
"GPU Info:" = "GPU Info:";
"GPU Name" = "GPU Name";
"GPU Device ID" = "GPU Device ID";
"Total VRAM" = "Total VRAM";
"Free VRAM" = "Free VRAM";
"Quartz Extreme (QE/CI)" = "Quartz Extreme (QE/CI)";
"Metal Supported" = "Metal Supported";
"Metal Device Name" = "Metal Device Name";
"Metal Default Device" = "Metal Default Device";
"Metal Low Power" = "Metal Low Power";
"Metal Headless" = "Metal Headless";
"iMessage Keys" = "iMessage Keys";
"Check Serial (EveryMac.com)" = "Check Serial (EveryMac.com)";
"Check Serial (Apple.com)" = "Check Serial (Apple.com)";
"Serial Info" = "Serial Info";
"Export" = "Export";
"Country" = "Country";
"Year" = "Year";
"Week" = "Week";
"Line" = "Line";
"Valid" = "Valid";
"Possibly" = "Possibly";
"Unlikely" = "Unlikely";
// Info / Serial Generator
"Serial Generator Info:" = "Serial Generator Info:";
// Info / Model
"Model Info:" = "Model Info:";
"2nd Disp Support" = "2nd Disp Support";
"2nd Max Res" = "2nd Max Res";
"Apple Subfamily" = "Apple Subfamily";
"Architecture" = "Architecture";
"Avg Weight" = "Avg Weight";
"Battery Life" = "Battery Life";
"Battery Type" = "Battery Type";
"Cache Bus Speed" = "Cache Bus Speed";
"Case Type" = "Case Type";
"Custom Speeds" = "Custom Speeds";
"Dimensions" = "Dimensions";
"Discontinued Date" = "Discontinued Date";
"Display" = "Display";
"EFI Architecture" = "EFI Architecture";
"EMC Number" = "EMC Number";
"Est Current Retail" = "Est Current Retail";
"Expansion Bays" = "Expansion Bays";
"Expansion Slots" = "Expansion Slots";
"Firewire" = "Firewire";
"Firewire Support" = "Firewire Support";
"Geekbench 2 32" = "Geekbench 2 32";
"Geekbench 2 64" = "Geekbench 2 64";
"Geekbench 3 MC 32" = "Geekbench 3 MC 32";
"Geekbench 3 MC 64" = "Geekbench 3 MC 64";
"Geekbench 3 SC 32" = "Geekbench 3 SC 32";
"Geekbench 3 SC 64" = "Geekbench 3 SC 64";
"Geekbench 4 MC" = "Geekbench 4 MC";
"Geekbench 4 SC" = "Geekbench 4 SC";
"Input Type" = "Input Type";
"Int HD Interface" = "Int HD Interface";
"Introduction Date" = "Introduction Date";
"Keyboard Type" = "Keyboard Type";
"L1 Cache" = "L1 Cache";
"L2 Cache" = "L2 Cache";
"Mac OS 9 Support" = "Mac OS 9 Support";
"Maximum OS" = "Maximum OS";
"Maximum RAM" = "Maximum RAM";
"Maximum VRAM" = "Maximum VRAM";
"Maximum Windows" = "Maximum Windows";
"Min. RAM Speed" = "Min. RAM Speed";
"Minimum Windows" = "Minimum Windows";
"Model" = "Model";
"Model Identifier" = "Model Identifier";
"Model Number" = "Model Number";
"Motherboard RAM" = "Motherboard RAM";
"Order Number" = "Order Number";
"Original OS" = "Original OS";
"Original Price" = "Original Price";
"Processor Speed" = "Processor Speed";
"Processor Type" = "Processor Type";
"Processor Upgrade" = "Processor Upgrade";
"Processors (Cores)" = "Processors (Cores)";
"RAM Slots" = "RAM Slots";
"RAM Type" = "RAM Type";
"Resolution" = "Resolution";
"ROM/Firmware" = "ROM/Firmware";
"Standard AirPort" = "Standard AirPort";
"Standard Bluetooth" = "Standard Bluetooth";
"Standard Ethernet" = "Standard Ethernet";
"Standard HD" = "Standard HD";
"Standard Optical" = "Standard Optical";
"Standard RAM" = "Standard RAM";
"Standard VRAM" = "Standard VRAM";
"System Bus Speed" = "System Bus Speed";
"Turbo Boost" = "Turbo Boost";
"Url" = "Url";
"USB" = "USB";
"Video Card" = "Video Card";
"Video Port" = "Video Port";
"VRAM Type" = "VRAM Type";
"Windows Support" = "Windows Support";
"Model:" = "Model:";
"Visit EveryMac" = "Visit EveryMac";
"Visit" = "Visit";
// Info / Misc
"Network Interfaces:" = "Network Interfaces:";
"Vendor " = "Vendor";
"Vendor Name" = "Vendor Name";
"Device Name" = "Device Name";
"BSD Name" = "BSD Name";
"Builtin" = "Builtin";
"Bluetooth Devices:" = "Bluetooth Devices:";
"FW Loaded" = "FW Loaded";
"Graphic Devices:" = "Graphic Devices:";
"Ports" = "Ports";
"Sub Device" = "Sub Device";
"Codec" = "Codec";
"Revision" = "Revision";
"Storage Devices:" = "Storage Devices:";
"Model" = "Model";
"Location" = "Location";
"Phy Block" = "Phy Block";
// Menu
"About Hackintool" = "Про Hackintool";
"Check for Updates..." = "Check for Updates...";
"Preferences…" = "Параметри…";
"Services" = "Сервіси";
"Hide Hackintool" = "Сховати Hackintool";
"Hide Others" = "Сховати решту";
"Quit Hackintool" = "Завершити Hackintool";
"File" = "Файл";
"Open…" = "Відкрити…";
"Open Recent" = "Open Recent";
"Generate Audio Codecs Info" = "Generate Audio Codecs Info";
"Import" = "Import";
"Export" = "Export";
"IOReg Dump (Native)" = "IOReg Dump (Оригінальний)";
"IOReg Dump (Patched)" = "IOReg Dump (Патчений)";
"Bootloader config.plist" = "Bootloader config.plist";
"Framebuffer Text" = "Framebuffer Text";
"Framebuffer Binary" = "Framebuffer Binary";
"Edit" = "Редагування";
"Cut" = "Вирізати";
"Copy" = "Скопіювати";
"Paste" = "Вставити";
"Paste and Match Style" = "Вставити і допасувати стиль";
"Select All" = "Виділити все";
"Find" = "Пошук";
"Find…" = "Пошук…";
"Find and Replace…" = "Знайти і замінити…";
"Find Next" = "Знайти наступне";
"Find Previous" = "Знайти попереднє";
"Use Selection for Find" = "Використати виділене для пошуку";
"Jump to Selection" = "Перейти до виділеного";
"Spelling and Grammar" = "Правопис і граматика";
"Check Document Now" = "Перевірити документ зараз";
"Check Spelling While Typing" = "Перевіряти правопис під час введення";
"Check Grammar With Spelling" = "Перевіряти граматику із правописом";
"Correct Spelling Automatically" = "Виправляти правопис автоматично";
"Substitutions" = "Підстановки";
"Show Substitutions" = "Показати підстановки";
"Smart Copy/Paste" = "Розумне копіювання/вставлення";
"Smart Quotes" = "Розумні лапки";
"Smart Dashes" = "Розумні тире";
"Smart Links" = "Розумні посилання";
"Data Detectors" = "Розпізнавання даних";
"Text Replacement" = "Заміна даних";
"Transformations" = "Перетворення";
"Make Upper Case" = "У верхній регістр";
"Make Lower Case" = "У нижній регістр";
"Capitalize" = "Великі перші літери";
"Speech" = "Читання в голос";
"Start Speaking" = "Розпочати читання";
"Stop Speaking" = "Зупинити читання";
"Show Toolbar" = "Показати Панель інструментів";
"Hide Toolbar" = "Hide Toolbar";
"Customize Toolbar…" = "Редагувати Панель інструментів";
"View" = "Перегляд";
"Window" = "Вікно";
"Help" = "Довідка";
"Current Version" = "Поточна версія";
"System Configs" = "System Configs";
"Apply Current Patches" = "Застосувати патчі";
"Minimize" = "Згорнути";
"Zoom" = "Оптимізувати";
"Bring All to Front" = "Усі на перед";
"Hackintool Help" = "Довідка Hackintool";
// Tabs
"Info" = "Info";
"Patch" = "Patch";
"Bootloader" = "Bootloader";
"NVRAM" = "NVRAM";
"Extensions" = "Extensions";
"Displays" = "Displays";
"Sound" = "Sound";
"USB" = "USB";
"Disks" = "Disks";
"PCIe" = "PCIe";
"Power" = "Power";
"Calc" = "Calc";
"Utilities" = "Utilities";
"Logs" = "Logs";
// Patch
"Intel Generation:" = "Intel Generation:";
"Platform ID:" = "Platform ID:";
"Info" = "Info";
"Framebuffer" = "Framebuffer";
"Connectors" = "Connectors";
"Patch" = "Patch";
"Go To Current" = "Go To Current";
"Reload" = "Reload";
// Patch / Selected Framebuffer Info
"Selected Framebuffer" = "Selected Framebuffer";
"Intel Generation" = "Intel Generation";
"Platform ID" = "Platform ID";
"GPU Name" = "GPU Name";
"Mobile" = "Mobile";
"GPU Device ID(s)" = "GPU Device ID(s)";
"Model(s)" = "Model(s)";
// Patch / Current Framebuffer Info
"Current Framebuffer" = "Current Framebuffer";
// Patch / VRAM Info
"VRAM Info:" = "VRAM Info:";
"Stolen" = "Stolen";
"FBMem" = "FBMem";
"VRAM" = "VRAM";
"Max Stolen" = "Max Stolen";
"Total Stolen" = "Total Stolen";
"Total Cursor" = "Total Cursor";
"Max Overall" = "Max Overall";
// Patch / Framebuffer
"Framebuffer Info:" = "Framebuffer Info:";
"FramebufferID" = "FramebufferID";
"ModelNameAddr" = "ModelNameAddr";
"Mobile" = "Mobile";
"PipeCount" = "PipeCount";
"PortCount" = "PortCount";
"FBMemoryCount" = "FBMemoryCount";
"StolenMemorySize" = "StolenMemorySize";
"FramebufferMemorySize" = "FramebufferMemorySize";
"CursorMemorySize" = "CursorMemorySize";
"UnifiedMemorySize" = "UnifiedMemorySize";
"BacklightFrequency" = "BacklightFrequency";
"BacklightMax" = "BacklightMax";
"Flags" = "Flags";
"BTTableOffsetIndexSlice" = "BTTableOffsetIndexSlice";
"BTTableOffsetIndexNormal" = "BTTableOffsetIndexNormal";
"BTTableOffsetIndexHDMI" = "BTTableOffsetIndexHDMI";
"CamelliaVersion" = "CamelliaVersion";
"NumTransactionsThreshold" = "NumTransactionsThreshold";
"VideoTurboFreq" = "VideoTurboFreq";
"BTTArraySliceAddr" = "BTTArraySliceAddr";
"BTTArrayNormalAddr" = "BTTArrayNormalAddr";
"BTTArrayHDMIAddr" = "BTTArrayHDMIAddr";
"SliceCount" = "SliceCount";
"EuCount" = "EuCount";
"Disabled" = "Disabled";
"V1" = "V1";
"V2" = "V2";
"V3" = "V3";
"Unsupported" = "Unsupported";
"Index" = "Index";
"BusID" = "BusID";
"Pipe" = "Pipe";
"Type" = "Type";
"Flags" = "Flags";
"Zero" = "Zero";
"Dummy" = "Dummy";
"LVDS" = "LVDS";
"DigitalDVI" = "DigitalDVI";
"SVID" = "SVID";
"VGA" = "VGA";
"DP" = "DP";
"HDMI" = "HDMI";
"AnalogDVI" = "AnalogDVI";
"Framebuffer Flags:" = "Framebuffer Flags:";
"FBAvoidFastLinkTraining" = "FBAvoidFastLinkTraining";
"FBFramebufferCommonMemory" = "FBFramebufferCommonMemory";
"FBFramebufferCompression" = "FBFramebufferCompression";
"FBEnableSliceFeatures" = "FBEnableSliceFeatures";
"FBDynamicFBCEnable" = "FBDynamicFBCEnable";
"FBUseVideoTurbo" = "FBUseVideoTurbo";
"FBForcePowerAlwaysConnected" = "FBForcePowerAlwaysConnected";
"FBDisableHighBitrateMode2" = "FBDisableHighBitrateMode2";
"FBBoostPixelFrequencyLimit" = "FBBoostPixelFrequencyLimit";
"FBLimit4KSourceSize" = "FBLimit4KSourceSize";
"FBAlternatePWMIncrement1" = "FBAlternatePWMIncrement1";
"FBAlternatePWMIncrement2" = "FBAlternatePWMIncrement2";
"FBDisableFeatureIPS" = "FBDisableFeatureIPS";
"FBUnknownFlag_2000" = "FBUnknownFlag_2000";
"FBAllowConnectorRecover" = "FBAllowConnectorRecover";
"FBUnknownFlag_8000" = "FBUnknownFlag_8000";
"FBUnknownFlag_10000" = "FBUnknownFlag_10000";
"FBUnknownFlag_20000" = "FBUnknownFlag_20000";
"FBDisableGFMPPFM" = "FBDisableGFMPPFM";
"FBUnknownFlag_80000" = "FBUnknownFlag_80000";
"FBUnknownFlag_100000" = "FBUnknownFlag_100000";
"FBEnableDynamicCDCLK" = "FBEnableDynamicCDCLK";
"FBUnknownFlag_400000" = "FBUnknownFlag_400000";
"FBSupport5KSourceSize" = "FBSupport5KSourceSize";
"FBUnknownZeroFlags" = "FBUnknownZeroFlags";
"CNAlterAppertureRequirements" = "CNAlterAppertureRequirements";
"CNUnknownFlag_2" = "CNUnknownFlag_2";
"CNUnknownFlag_4" = "CNUnknownFlag_4";
"CNConnectorAlwaysConnected" = "CNConnectorAlwaysConnected";
"CNUnknownFlag_10" = "CNUnknownFlag_10";
"CNUnknownFlag_20" = "CNUnknownFlag_20";
"CNDisableBlitTranslationTable" = "CNDisableBlitTranslationTable";
"CNUseMiscIoPowerWell" = "CNUseMiscIoPowerWell";
"CNUsePowerWell2" = "CNUsePowerWell2";
"CNUnknownFlag_200" = "CNUnknownFlag_200";
"CNUnknownFlag_400" = "CNUnknownFlag_400";
"CNUnknownFlag_800" = "CNUnknownFlag_800";
"CNUnknownFlag_1000" = "CNUnknownFlag_1000";
"CNUnknownFlag_2000" = "CNUnknownFlag_2000";
"CNUnknownFlag_4000" = "CNUnknownFlag_4000";
"CNUnknownFlag_8000" = "CNUnknownFlag_8000";
"CNUnknownZeroFlags" = "CNUnknownZeroFlags";
// Patch Options / Advanced ToolTips
"TT_DVMTPreAlloc32MB" = "Set DVMT pre-alloc to 32 MB to match BIOS setting (stolen mem = 19 MB / fb mem = 9 MB)";
"TT_VRAM2048MB" = "Set VRAM to 2048 MB. Can fix some 4K display glitching (unified mem = 2048 MB)";
"TT_DisableeGPU" = "Disable external GPU (disable-external-gpu)";
"TT_EnableHDMI20" = "HDMI in UHD resolution with 60 fps (enable-hdmi20)";
"TT_DPtoHDMI" = "Convert Display Port connector types to HDMI";
"TT_GfxYTileFix" = "Since macOS Sierra 10.12 update, Skylake's Intel HD 530 integrated graphics has had certain graphical artifacts or 'glitches' in the upper left corner of the menu bar and elsewhere. This does not occur under OS X El Capitan. (AAPL,GfxYTile)";
"TT_UseIntelHDMI" = "If TRUE, hda-gfx=onboard-1 will be injected into the GFX0 and HDEF devices. Also, if an ATI or Nvidia HDMI device is present, they'll be assigned to onboard-2. If FALSE, then ATI or Nvidia devices will get onboard-1 as well as the HDAU device if present.";
"TT_USBPortLimit" = "Inject USB port limit patches if available";
"TT_HotplugRebootFix" = "Set connector pipe values to 18";
"TT_DPCDMaxLinkRate" = "Fix the invalid maximum link rate issue on some laptops (Dell XPS 15 9570, etc.)";
"TT_HDMIInfiniteLoopFix" = "Fix the infinite loop when the graphics driver tries to establish a HDMI connection with a higher pixel clock rate, for example connecting to a 2K/4K display with HDMI 1.4, otherwise the system just hangs (and your builtin laptop display remains black) when you plug in the HDMI cable.\r\r- For those who want to have \"limited\" 2K/4K experience (i.e. 2K@59Hz or 4K@30Hz) with their HDMI 1.4 port, you might find this fix helpful.\r- For those who have a laptop or PC with HDMI 2.0 routed to IGPU and have HDMI output issues, please note that this fix is now succeeded by the LSPCON driver solution, and it is still recommended to enable the LSPCON driver support to have full HDMI 2.0 experience.\r(You might still need this fix temporarily to figure out the connector index of your HDMI port.)";
"TT_FramebufferPortLimit" = "Set the connector index values to -1 (disable) for connectors above limit";
"TT_SpoofAudioDeviceID" = "Spoof HDEF device-id if available";
"TT_SpoofVideoDeviceID" = "Spoof IGPU device-id";
"TT_InjectDeviceID" = "Spoof IGPU device-id";
// Patch Options / LSPCON ToolTips
"TT_LSPCONEnableDriver" = "Recent laptops (Kaby Lake/Coffee Lake-based) are typically equipped with a HDMI 2.0 port. This port could be either routed to IGPU or DGPU, and you can have a confirmation on Windows 10. Intel (U)HD Graphics, however, does not provide native HDMI 2.0 output, so in order to solve this issue OEMs add an additional hardware named LSPCON on the motherboard to convert DisplayPort into HDMI 2.0.\r\rLSPCON works in either Level Shifter (LS) or Protocol Converter (PCON) mode. When the adapter works in LS mode, it is capable of producing HDMI 1.4 signals from DisplayPort, while in PCON mode, it could provide HDMI 2.0 output. Some onboard LSPCON adapters (e.g. the one on Dell XPS 15 9570) have been configured in the firmware to work in LS mode by default, resulting a black screen on handling HDMI 2.0 connections.\r\rStarting from version 1.3.0, WhateverGreen now provides driver support for the onboard LSPCON by automatically configuring the adapter to run in PCON mode on new HDMI connections, and hence solves the black screen issue on some platforms.\r\r- LSPCON driver is only applicable for laptops and PCs with HDMI 2.0 routed to IGPU.\r- LSPCON driver is necessary for all newer platforms unless the new IGPU starts to provide native HDMI 2.0 output.\r- Supported Intel Platform: Skylake, Kaby Lake, Coffee Lake and later.\rSkylake Case: Intel NUC Skull Canyon; Iris Pro 580 + HDMI 2.0 with Parade PS175 LSPCON.\rCoffee Lake Case: Some laptops, e.g. Dell XPS 15 9570, are equipped with HDMI 2.0 and Parade PS175 LSPCON.\r- If you have confirmed that your HDMI 2.0 is routed to IGPU and is working properly right now, you don't need to enable this driver, because your onboard LSPCON might already be configured in the firmware to work in PCON mode.";
// Framebuffer Flags ToolTips
"TT_FBAvoidFastLinkTraining" = "Discovered in AppleIntelFBController::LinkTraining. Disables the use of FastLinkTraining.\rAccording to joevt with zero SKL link training happens at 450 MHz else at 540 MHz";
"TT_FBFramebufferCommonMemory" = "Sets the logic of minStolenMem calculation, when set fStolenMemorySize is not multiplied\rby fFBMemoryCount, assuming fStolenMemorySize counts all framebuffers at once.";
"TT_FBFramebufferCompression" = "Discovered in AppleIntelFramebufferController::getFeatureControl.\rThis is equivalent to setting FBC=1 in the plist FeatureControl section.";
"TT_FBEnableSliceFeatures" = "Discovered in AppleIntelFramebufferController::getFeatureControl.\rThis is equivalent to setting SliceSDEnable=1, EUSDEnable=1, DynamicSliceSwitch=1 in the plist FeatureControl section.";
"TT_FBDynamicFBCEnable" = "Discovered in AppleIntelFramebufferController::getFeatureControl.\rThis is equivalent to setting DynamicFBCEnable=1 in the plist FeatureControl section.";
"TT_FBUseVideoTurbo" = "This sets fUseVideoTurbo=1 and loads GPU turbo frequency from the specific field.\rDefaults to 14, can be overridden by VideoTurboFreq in the plist FeatureControl section.";
"TT_FBForcePowerAlwaysConnected" = "Discovered in AppleIntelFramebuffer::getDisplayStatus.\rEnforces display power reset even on always connected displays (see connector flags CNConnectorAlwaysConnected).";
"TT_FBDisableHighBitrateMode2" = "According to joevt this enforces High Bitrate mode 1, which limits DP bitrate to 8.64 Gbit/s instead of normal 17.28 Gbit/s (HBR2).\rI do not think this is used on Skylake any longer.";
"TT_FBBoostPixelFrequencyLimit" = "This bit is not used on Broadwell and newer but set when fPortCount > 0, i.e. for all online framebuffers.\rOn Haswell it is used by AppleIntelFramebuffer::GetOnlineInfo and is set only on 0x0D260007 (MacBookPro11,3) and 0x0D26000E, which are top models.\rThis appears to boost pixel frequency limit (aka pixel clock) to 540000000 Hz (from the usual 216000000, 320000000, 360000000, 450000000).";
"TT_FBLimit4KSourceSize" = "Discovered in AppleIntelFramebuffer::ValidateSourceSize.\rLimits source size to 4096x4096.";
"TT_FBAlternatePWMIncrement1" = "Discovered in AppleIntelFramebufferController::start.\rThese bits appear to be entirely equivalent and could be used interchangeably. Result in setting:\r- PCH_LP_PARTITION_LEVEL_DISABLE (1 << 12) bit in SOUTH_DSPCLK_GATE_D (0xc2020)\r- LPT_PWM_GRANULARITY (1 << 5) bit in SOUTH_CHICKEN2 (0xc2004)\rSee Linux driver sources (lpt_init_clock_gating, lpt_enable_backlight).\rSince these bits are setting backlight pulse width modularity, there is no sense in setting them without a built-in display (i.e. on desktop).";
"TT_FBAlternatePWMIncrement2" = "Discovered in AppleIntelFramebufferController::start.\rThese bits appear to be entirely equivalent and could be used interchangeably. Result in setting:\r- PCH_LP_PARTITION_LEVEL_DISABLE (1 << 12) bit in SOUTH_DSPCLK_GATE_D (0xc2020)\r- LPT_PWM_GRANULARITY (1 << 5) bit in SOUTH_CHICKEN2 (0xc2004)\rSee Linux driver sources (lpt_init_clock_gating, lpt_enable_backlight).\rSince these bits are setting backlight pulse width modularity, there is no sense in setting them without a built-in display (i.e. on desktop).";
"TT_FBDisableFeatureIPS" = "Discovered in Broadwell AppleIntelFBController::start / AppleIntelFBController::getFeatureControl.\rThis is equivalent to setting DisableFeatureIPS=1 in the plist FeatureControl section.\rIPS stands for Intermediate Pixel Storage";
"TT_FBUnknownFlag_2000" = "";
"TT_FBAllowConnectorRecover" = "Discovered in Broadwell AppleIntelFBController::getOSInformation.\rUsed by AppleIntelFramebufferController::LinkTraining for camellia version 2.\rCan be overridden by -notconrecover boot-arg, which effectively unsets this bit.";
"TT_FBUnknownFlag_8000" = "";
"TT_FBUnknownFlag_10000" = "";
"TT_FBUnknownFlag_20000" = "";
"TT_FBDisableGFMPPFM" = "Discovered in AppleIntelFramebufferController::getFeatureControl.\rThis takes its effect only if GFMPPFM in the plist FeatureControl section is set to 2, otherwise GFMPPFM is off.";
"TT_FBUnknownFlag_80000" = "";
"TT_FBUnknownFlag_100000" = "";
"TT_FBEnableDynamicCDCLK" = "Discovered in AppleIntelFramebufferController::getFeatureControl.\rThis takes its effect only if SupportDynamicCDClk in the plist FeatureControl section is set to 1, otherwise off.\rAlso requires dc6config to be set to 3 (default).";
"TT_FBUnknownFlag_400000" = "";
"TT_FBSupport5KSourceSize" = "Discovered in AppleIntelFramebuffer::enableController.\rUsed by AppleIntelFramebuffer::ValidateSourceSize.\rSetting this bit increases the maximum source size from 4096x4096 to 5120x5120.\rMost likely this enables 5K support via Intel HD.";
"TT_FBUnknownZeroFlags" = "";
// Connector Info ToolTips
"TT_Index" = "Watch out, this is really messy (see AppleIntelFramebufferController::MapFBToPort).\rI am not fully sure why this exists, and recommend setting index to array index (i.e. the sequential number from 0).\r\rThe only accepted values are 0, 1, 2, 3, and -1 (0xFF). When index is equal to array index the logic is simple:\rPort with index    0    is always considered built-in (of LVDS type) regardless of any other values.\rPorts with indexes 1~3  are checked against type, HDMI will allow the use of digital audio, otherwise DP is assumed.\rPort with index    0xFF is ignored and skipped.\r\rWhen index != array index port type will be read from connector[index].type.\rSay, we have 2 active ports:\r0 - [1]     busID 4 type LVDS\r1 - [2]     busID 5 type DP\r2 - [3]     busID 6 type HDMI\r3 - [-1]    busID 0 type Dummy\rThis will result in 2 framebuffers which types will be shifted:\r0 - busID 4 type DP\r1 - busID 5 type HDMI\rIn fact BusID values are also read as connector[index].busID, but are later mapped back via\rAppleIntelFramebufferController::getGMBusIDfromPort by looking up a connector with the specified index.\rThe lookup will stop as soon as a special marker connector (-1) is found. To illustrate, if we have 2 active ports:\r0 - [1]     busID 4 type LVDS\r1 - [2]     busID 5 type DP\r2 - [-1]    busID 6 type HDMI\r3 - [-1]    busID 0 type Dummy\rThe result will be 2 framebuffers which types and the second busID will be shifted:\r0 - busID 4 type DP\r1 - busID 6 type HDMI\rIt is also used for port-number calculation.\r- LVDS displays (more precisely, displays with CNConnectorAlwaysConnected flag set) get port-number 0.\r- Other displays go through index - port-number mapping: 1 - 5, 2 - 6, 3 - 7, or fallback to 0.";
"TT_BusID" = "Proven by AppleIntelFramebufferController::MapFBToPort, by a call to AppleIntelFramebufferController::getGMBusIDfromPort.\rThis is GMBUS (Graphic Management Bus) ID described in https://01.org/sites/default/files/documentation/intel-gfx-prm-osrc-hsw-display_0.pdf.\rThe use could be found in Intel Linux Graphics Driver source code:\rhttps://github.com/torvalds/linux/blob/6481d5ed076e69db83ca75e751ad492a6fb669a7/drivers/gpu/drm/i915/intel_i2c.c#L43\rhttps://github.com/torvalds/linux/blob/605dc7761d2701f73c17183649de0e3044609817/drivers/gpu/drm/i915/i915_reg.h#L3053\rHowever, it should be noted that Apple identifiers are slightly different from Linux driver.\rIn Linux 0 means disabled, however, for Apple it has some special meaning and is used for internal display.\rOther than that the values are the same:\r- GMBUS_PIN_DPC    (4)  HDMIC\r- GMBUS_PIN_DPB    (5)  SDVO, HDMIB\r- GMBUS_PIN_DPD    (6)  HDMID\r- GMBUS_PIN_VGADDC (2)  VGA until Broadwell inclusive.\rSo basically you could use 4, 5, 6 for arbitrary HDMI or DisplayPort displays.\rSince 5 supports SDVO (https://en.wikipedia.org/wiki/Serial_Digital_Video_Out), it may also be used to support DVI displays.\rStarting with Skylake VGA works via SDVO too (instead of a dedicated GMBUS_PIN_VGADDC id).";
"TT_Pipe" = "Appears to be used for grouping ports just like Piker says, but I cannot find the usage.";
"TT_Type" = "Valid Types:\r- Zero\r- Dummy (Always used as dummy, seems to sometimes work as VGA)\r- LVDS (Just like on AMD LVDS is used for eDP)\r- DigitalDVI (This is not eDP despite a common misbelief)\r- SVID\r- VGA\r- DP\r- HDMI\r- AnalogDVI";
"TT_Flags" = "These are connector flags, they have nothing to do with delays regardless of what Piker says.\rI tried to describe some in ConnectorFlags.";
// Connector Flags ToolTips
"TT_CNAlterAppertureRequirements" = "Lets apperture memory to be not required AppleIntelFramebuffer::isApertureMemoryRequired";
"TT_CNUnknownFlag_2" = "";
"TT_CNUnknownFlag_4" = "";
"TT_CNConnectorAlwaysConnected" = "Normally set for LVDS displays (i.e. built-in displays)";
"TT_CNUnknownFlag_10" = "";
"TT_CNUnknownFlag_20" = "";
"TT_CNDisableBlitTranslationTable" = "Disable blit translation table? AppleIntelFramebufferController::ConfigureBufferTranslation";
"TT_CNUseMiscIoPowerWell" = "Used in AppleIntelFramebufferController::setPowerWellState\rActivates MISC IO power well (SKL_DISP_PW_MISC_IO)";
"TT_CNUsePowerWell2" = "Used in AppleIntelFramebufferController::setPowerWellState\rActivates Power Well 2 usage (SKL_PW_CTL_IDX_PW_2)\rMay help with HDMI audio configuration issues\rREF: https://github.com/acidanthera/bugtracker/issues/1189";
"TT_CNUnknownFlag_200" = "";
"TT_CNUnknownFlag_400" = "";
"TT_CNUnknownFlag_800" = "";
"TT_CNUnknownFlag_1000" = "";
"TT_CNUnknownFlag_2000" = "";
"TT_CNUnknownFlag_4000" = "";
"TT_CNUnknownFlag_8000" = "";
"TT_CNUnknownZeroFlags" = "";
// Patch / Connectors
"Connector Info:" = "Connector Info:";
"Index" = "Index";
"Bus ID" = "Bus ID";
"Pipe" = "Pipe";
"Type" = "Type";
"Flags" = "Flags";
"Connector Flags:" = "Connector Flags:";
"Display Info:" = "Display Info:";
"Internal" = "Internal";
"External" = "External";
"Name" = "Name";
"Port" = "Port";
"Product ID" = "Product ID";
"Serial No." = "Serial No.";
"Internal" = "Internal";
"EDID" = "EDID";
// Patch / Patch
"Patch Options:" = "Patch Options:";
"General" = "Основні";
"Advanced" = "Додаткові";
"KextsToPatch (Hex)" = "KextsToPatch (Hex)";
"KextsToPatch (Base64)" = "KextsToPatch (Base64)";
"DeviceProperties" = "DeviceProperties";
"iASL DSL Source" = "iASL DSL Source";
"Bootloader:" = "Bootloader:";
"Auto Detect" = "Auto Detect";
"Clover" = "Clover";
"OpenCore" = "OpenCore";
"Auto Detect Changes" = "Auto Detect Changes";
"All" = "All";
"EDID" = "EDID";
"Graphic Device" = "Graphic Device";
"Audio Device" = "Audio Device";
"PCI Devices" = "PCI Devices";
"Use AllData Method" = "Use AllData Method";
"General Patch" = "Генерувати патч";
"Patch Output:" = "Patch Output:";
"DVMT pre-alloc 32 MB" = "DVMT pre-alloc 32 MB";
"Disable eGPU" = "Disable eGPU";
"DP -> HDMI" = "DP -> HDMI";
"Use Intel HDMI" = "Use Intel HDMI";
"Hotplug Reboot Fix" = "Hotplug Reboot Fix";
"DPCD Max Link Rate:" = "DPCD Max Link Rate:";
"HDMI Infinite Loop Fix" = "HDMI Infinite Loop Fix";
"Spoof Audio Device ID" = "Spoof Audio Device ID";
"Spoof Video Device ID:" = "Spoof Video Device ID:";
"VRAM 2048 MB" = "VRAM 2048 MB";
"Enable HDMI20 (4K)" = "Enable HDMI20 (4K)";
"GfxYTile Fix" = "GfxYTile Fix";
"USB Port Limit" = "USB Port Limit";
"Framebuffer Port Limit:" = "Framebuffer Port Limit:";
"Enable Driver" = "Enable Driver";
"Connector Index:" = "Connector Index:";
"Preferred Mode:" = "Preferred Mode:";
"LS (DP to HDMI 1.4)" = "LS (DP to HDMI 1.4)";
"PCON (DP to HDMI 2.0)" = "PCON (DP to HDMI 2.0)";
"Generate Patch" = "Generate Patch";
// Bootloader
"Bootloader Info:" = "Bootloader Info:";
"Current Booted Version" = "Поточна версія";
"Last Installed Version" = "Встановлена версія";
"Latest Available Version" = "Доступна оновлена версія";
"Patches" = "Patches";
"Select" = "Select";
"Type" = "Type";
"Comment" = "Comment";
"Download Bootloader" = "Завантажити Bootloader";
"Refresh Bootloader" = "Оновити Bootloader";
"Apply Bootloader Patches" = "Apply Bootloader Patches";
// NVRAM
"NVRAM Variables" = "NVRAM Variables";
"Variable Value" = "Variable Value";
"Add" = "Add";
// Extensions
"Installed Kexts:" = "Installed Kexts:";
"Select" = "Select";
"Installed" = "Installed";
"Current" = "Current";
"Download" = "Download";
"Replaced By" = "Replaced By";
"Description" = "Description";
"Url" = "Url";
"Compile Output" = "Compile Output";
"Show Installed Only" = "Show Installed Only";
"Update Available" = "Update Available";
"Update Version Info" = "Update Version Info";
"Download Selected" = "Download Selected";
"Compile Selected" = "Compile Selected";
"Install Kext(s)" = "Install Kext(s)";
"Rebuild KextCache and Repair Permissions" = "Rebuild KextCache and Repair Permissions";
// Displays
"Displays:" = "Displays:";
"Name" = "Name";
"Vendor ID" = "Vendor ID";
"Product ID" = "Product ID";
"Serial No." = "Serial No.";
"Internal" = "Internal";
"Scaled Resolutions" = "Scaled Resolutions";
"Width" = "Width";
"Height" = "Height";
"Type" = "Type";
"Inject EDID:" = "Inject EDID:";
"Icon:" = "Icon:";
"Default" = "Default";
"iMac" = "iMac";
"MacBook" = "MacBook";
"MacBook Pro" = "MacBook Pro";
"LG Display" = "LG Display";
"Resolution:" = "Resolution:";
"1080p" = "1080p";
"2K" = "2K";
"Manual" = "Manual";
"Fix Monitor Ranges" = "Fix Monitor Ranges";
"Inject Apple Info" = "Inject Apple Info";
"Force RGB Mode" = "Force RGB Mode";
"Patch Color Profile" = "Patch Color Profile";
"Add Resolution" = "Додати";
"Delete Resolution" = "Видалити";
"Refresh" = "Оновити";
"Export" = "Експортувати";
// Audio
"Audio Devices:" = "Audio Devices:";
"Sub Device" = "Sub Device";
"Revision" = "Revision";
"Pin Configuration" = "Pin Configuration";
"NID" = "NID";
"PinDefault" = "PinDefault";
"Gross Location" = "Gross Location";
"Geometric Location" = "Geometric Location";
"In" = "In";
"Out" = "Out";
"Color" = "Color";
"Unknown" = "Unknown";
"Black" = "Black";
"Gray" = "Gray";
"Blue" = "Blue";
"Green" = "Green";
"Red" = "Red";
"Orange" = "Orange";
"Yellow" = "Yellow";
"Purple" = "Purple";
"Pink" = "Pink";
"Reserved1" = "Reserved1";
"Reserved2" = "Reserved2";
"White" = "White";
"Other" = "Other";
"Jack Detect Override" = "Jack Detect Override";
"Reserved" = "Reserved";
"Line Out" = "Line Out";
"Speaker" = "Speaker";
"HP Out" = "HP Out";
"CD" = "CD";
"SPDIF Out" = "SPDIF Out";
"Digital Other Out" = "Digital Other Out";
"Modem Line Side" = "Modem Line Side";
"Modem Handset Side" = "Modem Handset Side";
"Line In" = "Line In";
"AUX" = "AUX";
"Mic In" = "Mic In";
"Telephony" = "Telephony";
"SPDIF In" = "SPDIF In";
"Digital Other In" = "Digital Other In";
"1/8\" Stereo/Mono" = "1/8\" Stereo/Mono";
"1/4\" Stereo/Mono" = "1/4\" Stereo/Mono";
"ATAPI Internal" = "ATAPI Internal";
"RCA" = "RCA";
"Optical" = "Optical";
"Other Digital" = "Other Digital";
"Other Analog" = "Other Analog";
"Multichannel Analog" = "Multichannel Analog";
"XLR/Professional" = "XLR/Professional";
"RJ-11 (Modem)" = "RJ-11 (Modem)";
"Combination" = "Combination";
"Jack" = "Jack";
"No Connection" = "No Connection";
"Fixed" = "Fixed";
"Jack + Internal" = "Jack + Internal";
"N/A" = "N/A";
"Rear" = "Rear";
"Front" = "Front";
"Left" = "Left";
"Right" = "Right";
"Top" = "Top";
"Bottom" = "Bottom";
"Special" = "Special";
"External" = "External";
"Internal" = "Internal";
"Separate" = "Separate";
"Rear Panel" = "Rear Panel";
"Riser" = "Riser";
"Mobile Lid-Inside" = "Mobile Lid-Inside";
"Drive Bay" = "Drive Bay";
"Digital Display" = "Digital Display";
"Mobile Lid-Outside" = "Mobile Lid-Outside";
"ATAPI" = "ATAPI";
"BTL" = "BTL";
"EAPD" = "EAPD";
"L/R Swap" = "L/R Swap";
"Audio Info" = "Audio Info";
"Controller" = "Controller";
"Vendor" = "Vendor";
"Codec Name" = "Codec Name";
"Codec Vendor" = "Codec Vendor";
"Audio Vendor" = "Audio Vendor";
"ALC Layout ID" = "ALC Layout ID";
"Revisions" = "Revisions";
"Min Kernel" = "Min Kernel";
"Max Kernel" = "Max Kernel";
"AFG Low Power State" = "AFG Low Power State";
"Codec ID" = "Codec ID";
"Config Data" = "Config Data";
"Func Group" = "Func Group";
"Codec" = "Codec";
"Wake Verb Reinit" = "Wake Verb Reinit";
"Layout ID" = "Layout ID";
"Boot Config Data" = "Boot Config Data";
"Info" = "Info";
// USB
"USB Controllers:" = "USB Controllers:";
"ID" = "ID";
"Name" = "Name";
"Series" = "Series";
"Device ID" = "Device ID";
"Vendor ID" = "Vendor ID";
"USB Ports" = "USB Ports";
"Name" = "Name";
"Connector" = "Connector";
"Location ID" = "Location ID";
"Port" = "Port";
"Dev Speed" = "Dev Speed";
"Device" = "Device";
"Info" = "Info";
"Delete" = "Delete";
"Clear All" = "Clear All";
"Refresh" = "Refresh";
"Import" = "Import";
"Export" = "Export";
"Active Port" = "Active Port";
// Disks
"EFI Partitions:" = "EFI Partitions:";
"Device Name" = "Device Name";
"Partition Scheme" = "Partition Scheme";
"Volume Name" = "Volume Name";
"BSD Name" = "BSD Name";
"Mount Point" = "Mount Point";
"Disk Type" = "Disk Type";
"Mount" = "Mount";
"Unmount" = "Unmount";
"Open" = "Open";
"Boot EFI" = "Boot EFI";
// PCI
"PCI Devices:" = "PCI Devices:";
"Debug" = "Debug";
"Vendor" = "Vendor";
"Sub Vendor" = "Sub Vendor";
"Sub Device" = "Sub Device";
"Vendor Name" = "Vendor Name";
"Device Name" = "Device Name";
"Class" = "Class";
"Subclass" = "Subclass";
"IOReg Name" = "IOReg Name";
"IOReg IOName" = "IOReg IOName";
"Device Path" = "Device Path";
// Power
"Power Info:" = "Power Info:";
"Fix sleepimage" = "Fix sleepimage";
// Calculator
"Sequence" = "Sequence";
"Hex:" = "Hex:";
"Hex (reversed):" = "Hex (reversed):";
"Base64:" = "Base64:";
"ASCII:" = "ASCII:";
"Value" = "Value";
"Decimal:" = "Decimal:";
"Octal:" = "Octal:";
"Binary:" = "Binary:";
// Tools
"Tools Output:" = "Tools Output:";
"Get AppleIntelInfo" = "Get AppleIntelInfo";
"Install Kext for Atheros AR92xx/93xx WLan Cards (only 10.14+)" = "Install Kext for Atheros AR92xx/93xx WLan Cards (only 10.14+)";
"Install Kext to enable SATA HotPlug on Mojave" = "Install Kext to enable SATA HotPlug on Mojave";
"Generate Windows Bluetooth Registry File" = "Generate Windows Bluetooth Registry File";
"Generate Windows UTC Registry Files" = "Generate Windows UTC Registry Files";
"Disable Gatekeeper and mount the disk in read/write mode" = "Disable Gatekeeper and mount the disk in read/write mode";
"Dump ACPI" = "Dump ACPI";
"Dump ACPI Tables" = "Dump ACPI Tables";
"Choose a destination folder" = "Choose a destination folder";
"AppleIntelInfo Settings:" = "AppleIntelInfo Settings:";
"Log:" = "Log:";
"Enable HWP" = "Enable HWP";
"CStates" = "CStates";
"IGPU" = "IGPU";
"IPG Style" = "IPG Style";
"Intel Regs" = "Intel Regs";
"MSRs" = "MSRs";
"Select Destination" = "Select Destination";
// Log
"Boot" = "Boot";
"Lilu" = "Lilu";
"System" = "System";
"Process:" = "Process:";
"Contains:" = "Contains:";
"Log Options:" = "Log Options:";
"Last Boot" = "Last Boot";
"Erase Log" = "Erase Log";
"Disable Gatekeeper and mount the disk in read/write mode?" = "Disable Gatekeeper and mount the disk in read/write mode?";
"This is required for some operations on macOS 10.15+" = "This is required for some operations on macOS 10.15+";
"Search (⌘F)" = "Пошук (⌘F)";
// Import KextsToPatch
"Import KextsToPatch" = "Імпорт KextsToPatch";
"Find:" = "Пошук:";
"Replace:" = "Замінити:";
"Cancel" = "Скасувати";
"OK" = "Застосувати";
// Bootloader Updater
"%@ Updated" = "Оновити %@";
"Downloading %@" = "Завантаження %@";
"No new %@ Version is Avaliable at this Time!" = "Оновлення відсутні!";
"%@ Version %@ is Available - you have %@. Would you like to download a newer Version?" = "Доступна оновлена версія %@ %@ поточна версія %@ Бажаєте завантажити оновлення?";
"Not Now" = "Не зараз";
"Update..." = "Оновити...";
"Set %@ Installer Location" = "Змінити місце встановлення";
"An error occured while trying to download %@ installer!" = "Сталася помилка під час завантаження %@!";
"%1.1f Mbytes" = "%1.1f Mbytes";
// Misc
"You may require %@" = "Вам може знадобитися %@";
"You may require Spoof Audio Device ID" = "Вам може знадобитися Spoof Audio Device ID";
"%@ %@-series Controller (0x%08X)" = "%@ %@-series Controller (0x%08X)";
"None" = "None";
"Importing KextsToPatch" = "Імпортувати KextsToPatch";
"%@ Patch" = "%@ Patch";
"Are you sure you want to apply %d %@ patch(s)?" = "Are you sure you want to apply %d %@ patch(s)?";
"Patch Success!" = "Успішно!";
"Patch Fail!" = "Помилка!";
"Please select your existing config.plist to overwrite.\nData is written non-destructively and a backup will be created first." = "Виберіть config.plist для внесення змін.\n Дані будуть додані, але попередньо буде створено config-backup.plist";
"No Changes Detected!\r" = "Змін не виявлено!\r";
"Unknown" = "Невідомий";
"Mount Boot EFI Partition?" = "Підключити EFI?";
"Your Boot EFI Partition is not mounted." = "EFI не підключено";
"Mount" = "Підключити";
"Cancel" = "Скасувати";
"Buy me a Beer" = "Пожертвувати на пиво";
"Installing '%@'...\n" = "Installing '%@'...\n";
"Rebuilding KextCache and Repairing Permissions...\n" = "Rebuilding KextCache and Repairing Permissions...\n";
"\"%@\" doesn't exist. Do you want to create it?" = "\"%@\" doesn't exist. Do you want to create it?";
"\"%@\" does not exist. You can create a new one." = "\"%@\" does not exist. You can create a new one.";
"Warning!" = "Warning!";
"Enabling HWP (Intel Speed Shift) will require a reboot to restore the previous value." = "Enabling HWP (Intel Speed Shift) will require a reboot to restore the previous value.";
"Logging Intel registers may cause your system to crash." = "Logging Intel registers may cause your system to crash.";
"Logging CStates" = "Logging CStates";
"Perform CPU intensive activity..." = "Perform CPU intensive activity...";
"Fully Supported" = "Fully Supported";
"Not Supported" = "Not Supported";
"Configuration Error" = "Configuration Error";
"Decoder Failed" = "Decoder Failed";
"Unknown Status (%@)" = "Unknown Status (%@)";
"Update PCIIDs" = "Update PCIIDs";
"PCIIDs Update" = "PCIIDs Update";
"Successful!" = "Successful!";
"Failure!" = "Failure!";
"Missing or incompatible nasm!" = "Missing or incompatible nasm!";
"Click OK to run installation." = "Click OK to run installation.";
